Foreman - Bug #33265

Fix Nightly React test failures
08/16/2021 08:30 PM - Samir Jha

Status: Closed

Priority: Normal
Assignee: Samir Jha
Category: JavaScript stack

Target version:

Difficulty: Fixed in Releases: 3.1.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/g716,
https://github.com/theforeman/foreman/p
ull/8796
Description
Related issues:
Related to Foreman - Bug #33560: Fix test failures in plugins Closed

Associated revisions

Revision c7535e45 - 08/17/2021 06:14 PM - Andrew Dewar
Fixes #33265 - Katello Nightly Failure

Revision 130ec97a - 09/28/2021 09:07 AM - Samir Jha

Fixes #33265 - Pin foreman-js to >= 8.7, < 8.12.1 to avoid jest failures in katello

History

#1 - 08/16/2021 08:32 PM - Samir Jha

- Project changed from Katello to Foreman

An update to the pretty-format package is causing katello react tests to fail.

#2 - 08/16/2021 08:33 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8716 added

#3 - 08/17/2021 06:14 PM - The Foreman Bot
- Fixed in Releases 3.1.0 added

#4 - 08/17/2021 07:08 PM - Andrew Dewar
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|c7535e45133139ed65db8218ba41a92460c23fd4.

#5 - 09/24/2021 07:06 AM - Ondfej Prazak
- Related to Bug #33560: Fix test failures in plugins added

#6 - 09/24/2021 08:00 PM - The Foreman Bot
- Assignee set to Samir Jha

- Pull request https://github.com/theforeman/foreman/pull/8796 added
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/c7535e45133139ed65db8218ba41a92460c23fd4

#7 - 11/16/2021 11:06 AM - Amit Upadhye

- Category set to JavaScript stack
